org.apache.ignite.client

## Interface IgniteClient

- All Superinterfaces:
    AutoCloseable

      public interface IgniteClient
      extends AutoCloseable

  Ignite thin client.

  Unlike Ignite client nodes, thin clients do not start Ignite infrastructure and communicate with Ignite cluster over a fast and lightweight protocol.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IgniteBinary` | `binary()`
    `<K,V> ClientCache<K,V>` | `cache(String name)` Get existing cache.
    `Collection<String>` | `cacheNames()`
    `ClientCluster` | `cluster()` Gets client cluster facade.
    `ClientCompute` | `compute()` Gets compute facade over all cluster nodes started in server mode.
    `ClientCompute` | `compute(ClientClusterGroup grp)` Gets compute facade over the specified cluster group.
    `<K,V> ClientCache<K,V>` | `createCache(ClientCacheConfiguration cfg)` Create cache.
    `<K,V> ClientCache<K,V>` | `createCache(String name)` Create cache.
    `void` | `destroyCache(String name)` Destroy cache.
    `<K,V> ClientCache<K,V>` | `getOrCreateCache(ClientCacheConfiguration cfg)` Get existing cache or create the cache if it does not exist.
    `<K,V> ClientCache<K,V>` | `getOrCreateCache(String name)` Get existing cache or create the cache if it does not exist.
    `FieldsQueryCursor<List<?>>` | `query(SqlFieldsQuery qry)` Execute SQL query and get cursor to iterate over results.
    `ClientServices` | `services()` Gets `services` facade over all cluster nodes started in server mode.
    `ClientServices` | `services(ClientClusterGroup grp)` Gets `services` facade over nodes within the cluster group.
    `ClientTransactions` | `transactions()` Gets client transactions facade.

    - ### Methods inherited from interface java.lang.AutoCloseable

      `close`

- - ### Method Detail

    - #### getOrCreateCache

          <K,V> ClientCache<K,V> getOrCreateCache(String name)
                                           throws ClientException

      Get existing cache or create the cache if it does not exist.
      Parameters:
        `name` - Cache name.
      Throws:
        `ClientException`

    - #### getOrCreateCache

          <K,V> ClientCache<K,V> getOrCreateCache(ClientCacheConfiguration cfg)
                                           throws ClientException

      Get existing cache or create the cache if it does not exist.
      Parameters:
        `cfg` - Cache configuration.
      Throws:
        `ClientException`

    - #### cache

          <K,V> ClientCache<K,V> cache(String name)

      Get existing cache.
      Parameters:
        `name` - Cache name.

    - #### cacheNames

          Collection<String> cacheNames()
                                 throws ClientException

      Returns:
        Collection of names of currently available caches or an empty collection if no caches are available.
      Throws:
        `ClientException`

    - #### destroyCache

          void destroyCache(String name)
                     throws ClientException

      Destroy cache.
      Throws:
        `ClientException`

    - #### createCache

          <K,V> ClientCache<K,V> createCache(String name)
                                      throws ClientException

      Create cache.
      Parameters:
        `name` - Cache name.
      Throws:
        `ClientException`

    - #### createCache

          <K,V> ClientCache<K,V> createCache(ClientCacheConfiguration cfg)
                                      throws ClientException

      Create cache.
      Parameters:
        `cfg` - Cache configuration.
      Throws:
        `ClientException`

    - #### binary

          IgniteBinary binary()

      Returns:
        Instance of `IgniteBinary` interface.

    - #### query

          FieldsQueryCursor<List<?>> query(SqlFieldsQuery qry)

      Execute SQL query and get cursor to iterate over results.
      Parameters:
        `qry` - SQL query.
      Returns:
        Cursor.

    - #### transactions

          ClientTransactions transactions()

      Gets client transactions facade.
      Returns:
        Client transactions facade.

    - #### compute

          ClientCompute compute()

      Gets compute facade over all cluster nodes started in server mode.
      Returns:
        Compute instance over all cluster nodes started in server mode.

    - #### compute

          ClientCompute compute(ClientClusterGroup grp)

      Gets compute facade over the specified cluster group. All operations on the returned `ClientCompute` instance will only include nodes from this cluster group.
      Parameters:
        `grp` - Cluster group.
      Returns:
        Compute instance over given cluster group.

    - #### cluster

          ClientCluster cluster()

      Gets client cluster facade.
      Returns:
        Client cluster facade.

    - #### services

          ClientServices services()

      Gets `services` facade over all cluster nodes started in server mode.
      Returns:
        Services facade over all cluster nodes started in server mode.

    - #### services

          ClientServices services(ClientClusterGroup grp)

      Gets `services` facade over nodes within the cluster group. All operations on the returned `ClientServices` instance will only include nodes from the specified cluster group. Note: In some cases there will be additional requests for each service invocation from client to server to resolve cluster group.
      Parameters:
        `grp` - Cluster group.
      Returns:
        `Services` functionality over given cluster group.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020